# utils.bench

`utils.bench`

Benchmarking and measurement utilities

## Functions

Name | Description
--- | ---
check_cuda_device | wraps a function and returns the default value instead of running the

### check_cuda_device

    utils.bench.check_cuda_device(default_value)

wraps a function and returns the default value instead of running the wrapped function if cuda isn’t available or the device is auto :param default_value: :return: